"""Data loading utilities aimed at getting `.csv` files into DataFrames ASAP.

Ideally we want to be able to point at a folder (or set of folders) and load all
the data in them into a single `pandas` dataframe with a multi-index.

The first `N-1` indices are an index into a list of file paths to indicate where the
data came from. The last index is an index into the row of the original file the data
is loaded from (minus headers an/or skipped rows).

If a file is omitted from the final dataframe it will still exist in the returned list
but will have no index in the dataframe that points at it.

Primary interface via `load_data()` and `get_meta_data()` functions.
"""

from .data_loader import *
