"""Utility plots for making common plotting tasks quicker. Uses
[bokeh](https://bokeh.org/) for interactive plots. Not suitable for millions of
data points.

Automatically detects if imported into a Jupyter notebook and runs bokeh's
`output_notebook()` on import.

All functions support `save_dir` for easy saving. Files will be saved to the
specified directory using a filename generated from the plot title.

"""

from ..core import running_in_jupyter

if running_in_jupyter():  # pragma: no cover
    from bokeh.io import output_notebook

    output_notebook()

from .data_plotting import *
